@import url("https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Tangerine:wght@400;700&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  color: #fff;
}

.cinzel {
  font-family: "Cinzel", system-ui;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

body {
  position: relative;
  width: 100%;
  height: 100vh;
}

header {
  position: relative;
  width: 100%;
  height: 100px;
  padding: 20px;
  text-align: center;
  background-color: rgb(65, 29, 85);
  color: #fff;

  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

header .cinzel {
  font-size: 3em;
}

#change-wand {
  background-color: transparent;
  border: none;
  color: #fff;
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  font-size: 1.8em;
  cursor: pointer;
  transition: 0.4s;
}

#change-wand:hover {
  filter: drop-shadow(0 0 10px #dfdfdf);
}

main {
  position: relative;
  width: 100%;
  height: calc(100% - 100px);
  background-color: rgb(25, 20, 26);
  overflow: hidden;
}

.wand-name {
  position: relative;
  width: 100%;
  text-align: center;
  transition: 1s;
  font-family: "Tangerine", cursive;
  font-weight: 500;
  font-size: 4.5em;
  margin-top: 30px;
  z-index: 100;
  user-select: none;
  pointer-events: none;
  text-transform: capitalize;
  opacity: 0;
}

.wand-name::before {
  content: "· ";
}

.wand-name::after {
  content: " ·";
}

.wand {
  position: absolute;
  width: 100%;
  height: 100%;

  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  display: flex;
  align-items: center;
  justify-content: center;
}

/* .wand #idle-glow,
.wand #full-glow {
  background-repeat: no-repeat;
  background-position: center;
  width: 100% !important;
} */

.wand #wand,
.wand #idle-glow,
.wand #full-glow,
.wand #overlay {
  height: 100%;
  max-width: 90%;
  width: fit-content;
  object-fit: contain;
  transition: 0.4s;
  user-select: none;
}

.wand #idle-glow,
.wand #full-glow,
.wand #overlay {
  position: absolute;
  fill: #1f1f1f;
  pointer-events: none;
}

.wand #overlay {
  z-index: 1;
}

.wand #full-glow {
  opacity: 0;
}

.results {
  width: 100%;
}

#final-spell {
  position: relative;
  text-align: center;
  z-index: 10;
}

#language {
  position: absolute;
  left: 10px;
  bottom: 10px;
}

/* General */

a {
  color: inherit;
  text-decoration: inherit;
  font-size: inherit;
}

@media screen and (max-width: 800px) {
  header h1 {
    width: 80%;
  }

  header .cinzel {
    font-size: 1.5em;
  }

  .wand #wand,
  .wand #idle-glow,
  .wand #full-glow,
  .wand #overlay {
    max-width: 100%;
    transform: rotate(90deg);
  }
}
